(function() {
	'use strict';

	window.app.controller('InventoryTypeController', InventoryTypeController);

	InventoryTypeController.$inject = ['$uibModal', 'inventoryTypeSvc'];
	function InventoryTypeController($uibModal, inventoryTypeSvc) {
		var vm = this;

		vm.add = add;
		vm.edit = edit;
		vm.inventoryTypes = inventoryTypeSvc.inventoryTypes;

		function add() {
			$uibModal.open({
				template: '<inventory-type-add />',
				backdrop: 'static'
			});
		}

		function edit() {
			$uibModal.open({
				template: '<inventory-type-edit />',
				backdrop: 'static'
			});
		}
	}
})();